<?xml version="1.0"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:import href="Animal"/>
<xsl:output method="html" indent="no" encoding="UTF-8"/>

<xsl:template match="/character">
	<body bgcolor="white"/>

	<table cellpadding="0" cellspacing="6" border="0" width="100%" bgcolor="white">
	<tr></tr>
	<tr></tr>
	<tr>
		<xsl:variable name="portrait-image" select="portrait"/>
		<td colspan="4" rowspan="10" width="16%" style="border:1px; border: 1pt solid black">
			<img src="{$portrait-image}" width="180" height="180"/><br/>
		</td>
		<td colspan="4" valign="bottom" width="44%">
			<font face="Verdana" style="font-size:8pt">
				<xsl:value-of select="name"/>
			</font>
		</td>
		<td colspan="4" width="40%">
			<font face="Verdana" style="font-size:8pt">
				<xsl:value-of select="player"/>
			</font>
		</td>
	</tr>
	<tr>
		<td colspan="4" style="border-top-width:1px; border-top: 1pt solid black">
			<font face="Verdana" style="font-size:6pt">
				CHARACTER NAME
			</font>
		</td>
		<td colspan="4" style="border-top-width:1px; border-top: 1pt solid black">
			<font face="Verdana" style="font-size:6pt">
				PLAYER
			</font>
		</td>
	</tr>
	<tr></tr>
	<tr></tr>
	<tr>
		<td colspan="2">
			<font face="Verdana" style="font-size:8pt">
				<xsl:value-of select="classes/string"/>
			</font>
		</td>
		<td colspan="2">
			<font face="Verdana" style="font-size:8pt">
				<xsl:value-of select="race"/>
			</font>
		</td>
		<td colspan="2">
			<font face="Verdana" style="font-size:8pt">
				<xsl:value-of select="alignment/name"/>
			</font>
		</td>
		<td colspan="2">
			<font face="Verdana" style="font-size:8pt">
				<xsl:value-of select="deity/name"/>

				<xsl:for-each select="deity/domain">
					<xsl:if test="position() = 1">
						<xsl:text> </xsl:text>(
					</xsl:if>
					<xsl:if test="position() = 2">
						<xsl:text>, </xsl:text>
					</xsl:if>
					<xsl:value-of select="name"/>
					<xsl:if test="position() = last()">
						)
					</xsl:if>
				</xsl:for-each>
			</font>
		</td>
	</tr>
	<tr>
		<td colspan="2" style="border-top-width:1px; border-top: 1pt solid black">
			<font face="Verdana" style="font-size:6pt">
				CLASS
			</font>
		</td>
		<td colspan="2" style="border-top-width:1px; border-top: 1pt solid black">
			<font face="Verdana" style="font-size:6pt">
				RACE
			</font>
		</td>
		<td colspan="2" style="border-top-width:1px; border-top: 1pt solid black">
			<font face="Verdana" style="font-size:6pt">
				ALIGNMENT
			</font>
		</td>
		<td colspan="2" style="border-top-width:1px; border-top: 1pt solid black">
			<font face="Verdana" style="font-size:6pt">
				DEITY
			</font>
		</td>
	</tr>
	<tr>
		<td>
			<font face="Verdana" style="font-size:8pt">
				<xsl:value-of select="classes/total"/></font></td>
		<td>
			<font face="Verdana" style="font-size:8pt">
				<xsl:value-of select="size/category"/></font></td>
		<td>
			<font face="Verdana" style="font-size:8pt">
				<xsl:value-of select="age"/></font></td>
		<td>
			<font face="Verdana" style="font-size:8pt">
				<xsl:value-of select="gender"/></font></td>
		<td>
			<font face="Verdana" style="font-size:8pt">
				<xsl:value-of select="size/height"/></font></td>
		<td>
			<font face="Verdana" style="font-size:8pt">
				<xsl:value-of select="size/weight"/></font></td>
		<td>
			<font face="Verdana" style="font-size:8pt">
				<xsl:value-of select="eyes"/></font></td>
		<td>
			<font face="Verdana" style="font-size:8pt">
				<xsl:value-of select="hair"/></font></td>
	</tr>
	<tr>
		<td style="border-top-width:1px; border-top: 1pt solid black">
			<font face="Verdana" style="font-size:6pt">LEVEL</font></td>
		<td style="border-top-width:1px; border-top: 1pt solid black">
			<font face="Verdana" style="font-size:6pt">SIZE</font></td>
		<td style="border-top-width:1px; border-top: 1pt solid black">
			<font face="Verdana" style="font-size:6pt">AGE</font></td>
		<td style="border-top-width:1px; border-top: 1pt solid black">
			<font face="Verdana" style="font-size:6pt">GENDER</font></td>
		<td style="border-top-width:1px; border-top: 1pt solid black">
			<font face="Verdana" style="font-size:6pt">HEIGHT</font></td>
		<td style="border-top-width:1px; border-top: 1pt solid black">
			<font face="Verdana" style="font-size:6pt">WEIGHT</font></td>
		<td style="border-top-width:1px; border-top: 1pt solid black">
			<font face="Verdana" style="font-size:6pt">EYES</font></td>
		<td style="border-top-width:1px; border-top: 1pt solid black">
			<font face="Verdana" style="font-size:6pt">HAIR</font></td>
	</tr>
	</table>




	<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
	<tr>
		<td width="15%"></td>
		<td width="15%"></td>
		<td width="15%"></td>

		<td width="10%"></td>

		<td width="15%"></td>
		<td width="15%"></td>
		<td width="15%"></td>
	</tr>
	<tr>
		<td rowspan="2" colspan="2" valign="top">
			<xsl:apply-templates select="abilities"/><br/>
		</td>
		<td colspan="5" valign="top">
			<table>
				<xsl:apply-templates select="hit-points"/>
				<xsl:apply-templates select="armor-class"/>
			</table>
		</td>
	</tr>
	<tr>
		<td colspan="2" valign="top">
			<xsl:apply-templates select="initiative"/>
			<xsl:apply-templates select="attacks/base"/>
		</td>

		<td colspan="3" rowspan="7" valign="top">
			<xsl:apply-templates select="skills"/>
		</td>
	</tr>
	<tr>
		<td colspan="4" valign="top">
			<xsl:apply-templates select="saving-throws"/>

			<xsl:apply-templates select="attacks"/><br/>

			<xsl:apply-templates select="equiped-items/weapons"/>
			<xsl:apply-templates select="equiped-items/armor"/>
			<xsl:apply-templates select="equiped-items/shield"/>
			<xsl:apply-templates select="equiped-items/protective-item"/>

		</td>
	</tr>
	</table>
	<br style="page-break-after: always"/>

	<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
	<tr>
		<td width="65%"></td>
		<td width="35%"></td>
	</tr>
	<tr>
		<td valign="top">
			<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
			<tr>
				<td width="40%"></td>
				<td width="10%"></td>
				<td width="40%"></td>
				<td width="10%"></td>
			</tr>
			<tr>
				<td align="center" colspan="4" bgcolor="black">
					<font face="Verdana" style="font-size:9pt" color="white"><b>GEAR</b></font>
				</td>
			</tr>
			<tr>
				<td align="center" style="border-left: 2px solid black; border-bottom: 1px solid black">
					<font face="Verdana" style="font-size:7pt" color="black">ITEM</font>
				</td>
				<td align="center" style="border-right: 1px solid black; border-left: 1px solid black; border-bottom: 1px solid black">
					<font face="Verdana" style="font-size:7pt" color="black">WT.</font>
				</td>
				<td align="center" style="border-left: 1px solid black; border-bottom: 1px solid black">
					<font face="Verdana" style="font-size:7pt" color="black">ITEM</font>
				</td>
				<td align="center" style="border-right: 2px solid black; border-left: 1px solid black; border-bottom: 1px solid black">
					<font face="Verdana" style="font-size:7pt" color="black">WT.</font>
				</td>
			</tr>

			<xsl:call-template name="empty-or-item">
				<xsl:with-param name="count" select="48"/>
				<xsl:with-param name="row" select="1"/>
				<xsl:with-param name="max" select="48"/>
			</xsl:call-template>

			<tr>
				<td colspan="3" style="border-left: 2px solid black; border-top: 1px solid black" align="right">
					<font face="Verdana" style="font-size:8pt" color="black">
						TOTAL WEIGHT CARRIED
					</font>
				</td>
				<td align="center" style="border: 2px solid black">
					<font face="Verdana" style="font-size:8pt" color="black">
						<xsl:value-of select="load/carried"/> lb.<br/>
					</font>
				</td>
			</tr>

			<tr>
				<td align="center" colspan="4" bgcolor="black">
					<font face="Verdana" style="font-size:9pt" color="white"><b>MONEY</b></font>
				</td>
			</tr>
			<tr>
				<td colspan="4" rowspan="3" style="border: 1px solid black">
					<font face="Verdana" style="font-size:7pt" color="black">
						<br/>
						<xsl:text> CP - </xsl:text><xsl:value-of select="currency/cp"/><br/>
						<br/>
						<xsl:text> SP - </xsl:text><xsl:value-of select="currency/sp"/><br/>
						<br/>
						<xsl:text> GP - </xsl:text><xsl:value-of select="currency/gp"/><br/>
						<br/>
						<xsl:text> PP - </xsl:text><xsl:value-of select="currency/pp"/><br/>
						<br/>
					</font>
				</td>
			</tr>
			</table>

			<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
			<tr>
				<td width="60%"></td>
				<td width="40%"></td>
			</tr>

			<tr>
			<td>
				<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
				<tr>
					<td width="50%"></td>
					<td width="50%"></td>
				</tr>
				<tr>
					<td colspan="2" align="center" bgcolor="black">
						<font face="Verdana" style="font-size:9pt" color="white">
							<b>LANGUAGES</b>
						</font>
					</td>
				</tr>
				<xsl:call-template name="empty-or-language">
					<xsl:with-param name="count" select="5"/>
					<xsl:with-param name="row" select="1"/>
				</xsl:call-template>
				</table>
			</td>

			<td>
				<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
				<tr>
					<td width="5%"></td>
					<td width="29%"></td>
					<td width="4%"></td>
					<td width="29%"></td>
					<td width="4%"></td>
					<td width="29%"></td>
				</tr>
				<tr>
					<td><br/></td>
					<td align="center" style="border: 1pt solid black">
						<font face="Verdana" style="font-size:8pt">
							<xsl:value-of select="load/light"/>
						</font>
					</td>
					<td><br/></td>
					<td align="center" style="border: 1pt solid black">
						<font face="Verdana" style="font-size:8pt">
							<xsl:value-of select="load/medium"/>
						</font>
					</td>
					<td><br/></td>
					<td align="center" style="border: 1pt solid black">
						<font face="Verdana" style="font-size:8pt">
							<xsl:value-of select="load/heavy"/>
						</font>
					</td>
				</tr>
				<tr>
					<td><br/></td>
					<td valign="top" align="center">
						<font face="Verdana" style="font-size:6pt">
							<b>LIGHT LOAD</b>
						</font>
					</td>
					<td><br/></td>
					<td valign="top" align="center">
						<font face="Verdana" style="font-size:6pt">
							<b>MEDIUM LOAD</b>
						</font>
					</td>
					<td><br/></td>
					<td valign="top" align="center">
						<font face="Verdana" style="font-size:6pt">
							<b>HEAVY LOAD</b>
						</font>
					</td>
				</tr>
				</table>
			</td>
			</tr>
			</table>

		</td>

		<td valign="top">
			<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
			<tr>
				<td width="5%" rowspan="6"></td>
				<td width="95%"></td>
			</tr>
			<tr>
				<td align="center" style="border-bottom-width:1px; border-bottom: 1pt solid black">
					<br/>
				</td>
			</tr>
			<tr>
				<td align="top">
					<font face="Verdana" style="font-size:7pt" color="black">
						CAMPAIGN<br/>
					</font>
				</td>
			</tr>
			<tr>
				<td align="center" style="border-width:1px; border: 1pt solid black">
					<font face="Verdana" style="font-size:9pt" color="black">
						<xsl:value-of select="experience"/><br/>
					</font>
				</td>
			</tr>
			<tr>
				<td align="top">
					<font face="Verdana" style="font-size:7pt" color="black">
						EXPERIENCE POINTS<br/>
					</font>
				</td>
			</tr>
			<tr>
				<td><br/></td>
			</tr>
			</table>

			<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
			<tr>
				<td width="5%"></td>
				<td width="15%"></td>
				<td width="80%"></td>
			</tr>
			<tr>
				<td><br/></td>
				<td colspan="2" align="center" bgcolor="black">
					<font face="Verdana" style="font-size:9pt" color="white">
						<b>SPECIAL ABILITIES</b>
					</font>
				</td>
			</tr>

			<xsl:for-each select="features/special-attacks/special-attack">
				<tr>
					<td><br/></td>
					<td colspan="2" style="border-left: 1px solid black; border-right: 1px solid black; border-bottom: 1px solid black">
						<font face="Verdana" style="font-size:8pt" color="black">
							<b>SA: </b><xsl:value-of select="."/><br/>
						</font>
					</td>
				</tr>
			</xsl:for-each>
			<xsl:for-each select="features/special-qualities/special-quality">
				<tr>
					<td><br/></td>
					<td colspan="2" style="border-left: 1px solid black; border-right: 1px solid black; border-bottom: 1px solid black">
						<font face="Verdana" style="font-size:8pt" color="black">
							<b>SQ: </b><xsl:value-of select="."/><br/>
						</font>
					</td>
				</tr>
			</xsl:for-each>
			<xsl:for-each select="features/class-features">
				<xsl:for-each select="class-feature">
					<tr>
						<td><br/></td>
						<td colspan="2" style="border-left: 1px solid black; border-right: 1px solid black; border-bottom: 1px solid black">
							<font face="Verdana" style="font-size:8pt" color="black">
								<b><xsl:value-of select="name"/>:</b><br/>
							</font>
						</td>
					</tr>
					<xsl:for-each select="feature">
						<tr>
						<td><br/></td>
						<td style="border-left: 1pt solid black; border-bottom: 1pt solid black">
							<br/>
						</td>
						<td style="border-right: 1pt solid black; border-bottom: 1pt solid black">
								<font face="Verdana" style="font-size:8pt" color="black">
									<xsl:text>  </xsl:text><xsl:value-of select="."/><br/>
								</font>
							</td>
						</tr>
					</xsl:for-each>
				</xsl:for-each>
			</xsl:for-each>
			<xsl:for-each select="features/race-features/race-feature">
				<tr>
					<td><br/></td>
					<td colspan="2" style="border-left: 1px solid black; border-right: 1px solid black; border-bottom: 1px solid black">
						<font face="Verdana" style="font-size:8pt" color="black">
							<xsl:value-of select="."/><br/>
						</font>
					</td>
				</tr>
			</xsl:for-each>
			<xsl:for-each select="deity/domain">
				<xsl:if test="position() = 1">
					<tr>
						<td><br/></td>
						<td colspan="2" style="border-left: 1px solid black; border-right: 1px solid black; border-bottom: 1px solid black">
							<font face="Verdana" style="font-size:8pt" color="black">
								<b>Domain Power:</b><br/>
							</font>
						</td>
					</tr>
				</xsl:if>
				<tr>
					<td><br/></td>
					<td style="border-left: 1px solid black; border-bottom: 1pt solid black">
						<br/>
					</td>
					<td colspan="2" style="border-right: 1px solid black; border-bottom: 1px solid black">
						<font face="Verdana" style="font-size:8pt" color="black">
							<xsl:value-of select="special-power"/><br/>
						</font>
					</td>
				</tr>
			</xsl:for-each>

			<tr>
				<td colspan="3"><br/></td>
			</tr>
			<tr>
				<td><br/></td>
				<td colspan="2" style="border: 1px solid black" bgcolor="black">
					<font face="Verdana" style="font-size:9pt" color="white">
						<b>FEATS</b>
					</font>
				</td>
			</tr>

			<xsl:apply-templates select="features/feats/feat">
				<xsl:sort select="string(name)"/>
			</xsl:apply-templates>

			<xsl:if test="count(features/feats/feat) &lt; 16">
				<xsl:call-template name="empty-feat">
					<xsl:with-param name="count" select="16 - count(features/feats/feat)"/>
				</xsl:call-template>
			</xsl:if>

			</table>
		</td>
	</tr>
	</table>

	<xsl:if test="spells/spell">
		<xsl:for-each select="spells-known/class">
			<br style="page-break-after: always"/>
			<table align="top" border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
			<tr>
				<td width="20%"></td>
				<td width="6%"></td><td rowspan="8" width="2%"></td>
				<td width="6%"></td><td rowspan="8" width="2%"></td>
				<td width="6%"></td><td rowspan="8" width="2%"></td>
				<td width="6%"></td><td rowspan="8" width="2%"></td>
				<td width="6%"></td><td rowspan="8" width="2%"></td>
				<td width="6%"></td><td rowspan="8" width="2%"></td>
				<td width="6%"></td><td rowspan="8" width="2%"></td>
				<td width="6%"></td><td rowspan="8" width="2%"></td>
				<td width="6%"></td><td rowspan="8" width="2%"></td>
				<td width="6%"></td><td rowspan="8" width="2%"></td>
			</tr>
			<tr>
				<td align="center"><font face="Verdana" style="font-size:9pt"><b>LEVEL</b></font></td>
				<xsl:for-each select="spells-per-day/level">
					<td align="center">
						<font face="Verdana" style="font-size:8pt">
							<xsl:value-of select="@name"/><br/>
						</font>
					</td>
				</xsl:for-each>
			</tr>
			<tr><td colspan="20"><font face="Verdana" style="font-size:2pt"><br/></font></td></tr>
			<tr>
				<td align="center"><font face="Verdana" style="font-size:7pt">
					SPELL SAVE DC
				</font></td>
				<xsl:for-each select="spell-save-dc/level">
					<td align="center" style="border: 1px solid black">
						<font face="Verdana" style="font-size:7pt">
							<xsl:value-of select="@value"/><br/>
						</font>
					</td>
				</xsl:for-each>
			</tr>
			<tr><td colspan="20"><font face="Verdana" style="font-size:2pt"><br/></font></td></tr>
			<tr>
				<td align="center"><font face="Verdana" style="font-size:7pt">
					SPELLS KNOWN
				</font></td>
				<xsl:for-each select="number-spells-known/level">
					<td align="center" style="border: 1px solid black">
						<font face="Verdana" style="font-size:7pt">
							<xsl:value-of select="@value"/><br/>
						</font>
					</td>
				</xsl:for-each>
			</tr>
			<tr><td colspan="20"><font face="Verdana" style="font-size:2pt"><br/></font></td></tr>
			<tr>
				<td align="center">
					<font face="Verdana" style="font-size:7pt">
						SPELLS PER DAY
					</font>
				</td>
				<xsl:variable name="bonus" select="bonus-spells-per-day"/>
				<xsl:for-each select="spells-per-day/level">
					<td align="center" style="border: 1px solid black">
						<font face="Verdana" style="font-size:7pt">
							<xsl:value-of select="@value"/>
							<xsl:variable name="name" select="@name"/>
							<xsl:if test="$bonus/level[@name = $name]/@value != '0'">
								+ <xsl:value-of select="$bonus/level[@name = $name]/@value"/>
							</xsl:if>
							<br/>
						</font>
					</td>
				</xsl:for-each>
			</tr>
			<tr><td colspan="20"><font face="Verdana" style="font-size:6pt"><br/></font></td></tr>
			</table>


			<table align="top" border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
			<tr>
				<td width="5%"></td>
				<td width="28%"></td>
				<td width="5%"></td>
				<td width="28%"></td>
				<td width="5%"></td>
				<td width="28%"></td>
			</tr>
			<tr>
				<td align="center" colspan="6" bgcolor="black">
					<font face="Verdana" style="font-size:9pt" color="white">
						<b>SPELLS - <xsl:value-of select="full-name"/></b>
					</font>
				</td>
			</tr>
			<tr>
				<td align="center" style="border-left: 2px solid black; border-right: 1px solid black; border-bottom: 1px solid black">
					<font face="Verdana" style="font-size:8pt" color="black">Prep</font>
				</td>
				<td align="center" style="border-bottom: 1px solid black; border-right: 1px solid black">
					<font face="Verdana" style="font-size:8pt" color="black">NAME</font>
				</td>
				<td align="center" style="border-left: 1px solid black; border-right: 1px solid black; border-bottom: 1px solid black">
					<font face="Verdana" style="font-size:8pt" color="black">Prep</font>
				</td>
				<td align="center" style="border-bottom: 1px solid black; border-right: 1px solid black">
					<font face="Verdana" style="font-size:8pt" color="black">NAME</font>
				</td>
				<td align="center" style="border-left: 1px solid black; border-right: 1px solid black; border-bottom: 1px solid black">
					<font face="Verdana" style="font-size:8pt" color="black">Prep</font>
				</td>
				<td align="center" style="border-bottom: 1px solid black; border-right: 2px solid black">
					<font face="Verdana" style="font-size:8pt" color="black">NAME</font>
				</td>
			</tr>


			<xsl:call-template name="empty-or-spell">
				<xsl:with-param name="count" select="48"/>
				<xsl:with-param name="row" select="1"/>
				<xsl:with-param name="max" select="48"/>
				<xsl:with-param name="level1" select="-1"/>
				<xsl:with-param name="level2" select="spell[48]/level"/>
				<xsl:with-param name="level3" select="spell[96]/level"/>
			</xsl:call-template>

			<tr>
				<td align="center" style="border-top: 1px solid black"><br/></td>
				<td align="center" style="border-top: 1px solid black"><br/></td>
				<td align="center" style="border-top: 1px solid black"><br/></td>
				<td align="center" style="border-top: 1px solid black"><br/></td>
				<td align="center" style="border-top: 1px solid black"><br/></td>
				<td align="center" style="border-top: 1px solid black"><br/></td>
			</tr>

			</table>


			<xsl:if test="count(spell) > 144">
				<br style="page-break-after: always"/>

				<table align="top" border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
				<tr>
					<td width="5%"></td>
					<td width="28%"></td>
					<td width="5%"></td>
					<td width="28%"></td>
					<td width="5%"></td>
					<td width="28%"></td>
				</tr>
				<tr>
					<td align="center" colspan="6" bgcolor="black">
						<font face="Verdana" style="font-size:9pt" color="white">
							<b>SPELLS - <xsl:value-of select="full-name"/> (cont.)</b>
						</font>
					</td>
				</tr>
				<tr>
					<td align="center" style="border-left: 2px solid black; border-right: 1px solid black; border-bottom: 1px solid black">
						<font face="Verdana" style="font-size:8pt" color="black">Prep</font>
					</td>
					<td align="center" style="border-bottom: 1px solid black; border-right: 1px solid black">
						<font face="Verdana" style="font-size:8pt" color="black">NAME</font>
					</td>
					<td align="center" style="border-left: 1px solid black; border-right: 1px solid black; border-bottom: 1px solid black">
						<font face="Verdana" style="font-size:8pt" color="black">Prep</font>
					</td>
					<td align="center" style="border-bottom: 1px solid black; border-right: 1px solid black">
						<font face="Verdana" style="font-size:8pt" color="black">NAME</font>
					</td>
					<td align="center" style="border-left: 1px solid black; border-right: 1px solid black; border-bottom: 1px solid black">
						<font face="Verdana" style="font-size:8pt" color="black">Prep</font>
					</td>
					<td align="center" style="border-bottom: 1px solid black; border-right: 2px solid black">
						<font face="Verdana" style="font-size:8pt" color="black">NAME</font>
					</td>
				</tr>

				<xsl:call-template name="empty-or-spell">
					<xsl:with-param name="count" select="48"/>
					<xsl:with-param name="row" select="145"/>
					<xsl:with-param name="max" select="48"/>
					<xsl:with-param name="level1" select="spell[144]/level"/>
					<xsl:with-param name="level2" select="spell[192]/level"/>
					<xsl:with-param name="level3" select="spell[240]/level"/>
				</xsl:call-template>

				<tr>
					<td align="center" style="border-top: 1px solid black"><br/></td>
					<td align="center" style="border-top: 1px solid black"><br/></td>
					<td align="center" style="border-top: 1px solid black"><br/></td>
					<td align="center" style="border-top: 1px solid black"><br/></td>
					<td align="center" style="border-top: 1px solid black"><br/></td>
					<td align="center" style="border-top: 1px solid black"><br/></td>
				</tr>

				</table>
			</xsl:if>

		</xsl:for-each>
	</xsl:if>


	<xsl:for-each select="animals/animal">
		<br style="page-break-after: always"/>
		<xsl:apply-templates select="."/>
	</xsl:for-each>


	<br style="page-break-after: always"/>
	<br/>
	<font face="Verdana" style="font-size:14pt" color="black">
		Dungeon Master Information<br/>
	</font>
	<font face="Verdana" style="font-size:10pt" color="black">
		<i>Present this page to your DM when you sit down to play.</i><br/>
	</font>

	<br/>

	<font face="Verdana" style="font-size:10pt" color="black">
		<b>Player</b><br/>
	</font>
	<font face="Verdana" style="font-size:8pt" color="black">
		<xsl:value-of select="player"/><br/>
	</font>

	<br/><br/>

	<font face="Verdana" style="font-size:10pt" color="black">
		<b>Character</b><br/>
	</font>
	<font face="Verdana" style="font-size:8pt" color="black">
		<xsl:value-of select="name"/><br/>
	</font>
	<font face="Verdana" style="font-size:8pt" color="black">
		<xsl:value-of select="classes/string"/><br/>
	</font>

	<br/>

	<xsl:apply-templates select="dungeonmaster"/>
</xsl:template>


<xsl:template match="dungeonmaster">
	<font face="Verdana" style="font-size:10pt" color="black">
		<b>User Adjustments</b><br/>
	</font>
	<table cellpadding="0" cellspacing="0" border="0" width="40%">
	<tr>
		<td bgcolor="silver" width="25%">
			<font face="Verdana" style="font-size:8pt" color="black">
				STR<br/>
			</font>
		</td>
		<td bgcolor="silver" width="5%">
			<font face="Verdana" style="font-size:8pt" color="black">
				<xsl:value-of select="adjustments/strength"/><br/>
			</font>
		</td>

		<td bgcolor="silver" width="40%"><br/></td>

		<td bgcolor="silver" width="25%">
			<font face="Verdana" style="font-size:8pt" color="black">
				Init<br/>
			</font>
		</td>
		<td bgcolor="silver" width="5%">
			<font face="Verdana" style="font-size:8pt" color="black">
				<xsl:value-of select="adjustments/initiative"/><br/>
			</font>
		</td>
	</tr>
	<tr>
		<td>
			<font face="Verdana" style="font-size:8pt" color="black">
				DEX<br/>
			</font>
		</td>
		<td>
			<font face="Verdana" style="font-size:8pt" color="black">
				<xsl:value-of select="adjustments/dexterity"/><br/>
			</font>
		</td>

		<td><br/></td>

		<td>
			<font face="Verdana" style="font-size:8pt" color="black">
				Fort<br/>
			</font>
		</td>
		<td>
			<font face="Verdana" style="font-size:8pt" color="black">
				<xsl:value-of select="adjustments/fortitude"/><br/>
			</font>
		</td>
	</tr>

	<tr>
		<td bgcolor="silver">
			<font face="Verdana" style="font-size:8pt" color="black">
				CON<br/>
			</font>
		</td>
		<td bgcolor="silver">
			<font face="Verdana" style="font-size:8pt" color="black">
				<xsl:value-of select="adjustments/constitution"/><br/>
			</font>
		</td>

		<td bgcolor="silver"><br/></td>

		<td bgcolor="silver">
			<font face="Verdana" style="font-size:8pt" color="black">
				Ref<br/>
			</font>
		</td>
		<td bgcolor="silver">
			<font face="Verdana" style="font-size:8pt" color="black">
				<xsl:value-of select="adjustments/reflex"/><br/>
			</font>
		</td>
	</tr>
	<tr>
		<td>
			<font face="Verdana" style="font-size:8pt" color="black">
				INT<br/>
			</font>
		</td>
		<td>
			<font face="Verdana" style="font-size:8pt" color="black">
				<xsl:value-of select="adjustments/intelligence"/><br/>
			</font>
		</td>

		<td><br/></td>

		<td>
			<font face="Verdana" style="font-size:8pt" color="black">
				Will<br/>
			</font>
		</td>
		<td>
			<font face="Verdana" style="font-size:8pt" color="black">
				<xsl:value-of select="adjustments/will"/><br/>
			</font>
		</td>
	</tr>

	<tr>
		<td bgcolor="silver">
			<font face="Verdana" style="font-size:8pt" color="black">
				WIS<br/>
			</font>
		</td>
		<td bgcolor="silver">
			<font face="Verdana" style="font-size:8pt" color="black">
				<xsl:value-of select="adjustments/wisdom"/><br/>
			</font>
		</td>

		<td bgcolor="silver"><br/></td>

		<td bgcolor="silver">
			<font face="Verdana" style="font-size:8pt" color="black">
				AC<br/>
			</font>
		</td>
		<td bgcolor="silver">
			<font face="Verdana" style="font-size:8pt" color="black">
				<xsl:value-of select="adjustments/armor-class"/><br/>
			</font>
		</td>
	</tr>
	<tr>
		<td>
			<font face="Verdana" style="font-size:8pt" color="black">
				CHA<br/>
			</font>
		</td>
		<td>
			<font face="Verdana" style="font-size:8pt" color="black">
				<xsl:value-of select="adjustments/charisma"/><br/>
			</font>
		</td>

		<td><br/></td>

		<td>
			<font face="Verdana" style="font-size:8pt" color="black">
				HP<br/>
			</font>
		</td>
		<td>
			<font face="Verdana" style="font-size:8pt" color="black">
				<xsl:value-of select="adjustments/hit-points"/><br/>
			</font>
		</td>
	</tr>
	</table>

	<br/>

	<font face="Verdana" style="font-size:10pt" color="black">
		<b>Number of Rolls</b><br/>
	</font>
	<table cellpadding="0" cellspacing="0" border="0" width="30%">
	<tr>
		<td bgcolor="silver" width="70%">
			<font face="Verdana" style="font-size:8pt" color="black">
				Ability Scores:<br/>
			</font>
		</td>
		<td bgcolor="silver" width="30%">
			<font face="Verdana" style="font-size:8pt" color="black">
				<xsl:value-of select="rolls/ability"/><br/>
			</font>
		</td>
	</tr>
	<tr>
		<td>
			<font face="Verdana" style="font-size:8pt" color="black">
				Hit Points:<br/>
			</font>
		</td>
		<td>
			<font face="Verdana" style="font-size:8pt" color="black">
				<xsl:value-of select="rolls/hit-points"/><br/>
			</font>
		</td>
	</tr>
	</table>

	<br/>

	<font face="Verdana" style="font-size:10pt" color="black">
		<b>Remaining Points</b><br/>
	</font>
	<table cellpadding="0" cellspacing="0" border="0" width="30%">
	<tr>
		<td width="70%">
			<font face="Verdana" style="font-size:8pt" color="black">
				Skill Points:<br/>
			</font>
		</td>
		<td width="30%">
			<font face="Verdana" style="font-size:8pt" color="black">
				<xsl:value-of select="remaining-points/skill"/><br/>
			</font>
		</td>
	</tr>
	<tr>
		<td bgcolor="silver">
			<font face="Verdana" style="font-size:8pt" color="black">
				Feat Points:<br/>
			</font>
		</td>
		<td bgcolor="silver">
			<font face="Verdana" style="font-size:8pt" color="black">
				<xsl:value-of select="remaining-points/feat"/><br/>
			</font>
		</td>
	</tr>
	<tr>
		<td>
			<font face="Verdana" style="font-size:8pt" color="black">
				Language Points:<br/>
			</font>
		</td>
		<td>
			<font face="Verdana" style="font-size:8pt" color="black">
				<xsl:value-of select="remaining-points/language"/><br/>
			</font>
		</td>
	</tr>
	</table>

	<br/>

	<font face="Verdana" style="font-size:10pt" color="black">
		<b>Miscellaneous</b><br/>
	</font>
	<table cellpadding="0" cellspacing="0" border="0" width="30%">
	<tr>
		<td bgcolor="silver" width="70%">
			<font face="Verdana" style="font-size:8pt" color="black">
				Sum total of Abilities:<br/>
			</font>
		</td>
		<td bgcolor="silver" width="30%">
			<font face="Verdana" style="font-size:8pt" color="black">
				<xsl:value-of select="totals/ability-points"/><br/>
			</font>
		</td>
	</tr>
	<tr>
		<td>
			<font face="Verdana" style="font-size:8pt" color="black">
				Inventory Value:<br/>
			</font>
		</td>
		<td>
			<font face="Verdana" style="font-size:8pt" color="black">
				<xsl:value-of select="totals/inventory-value"/><br/>
			</font>
		</td>
	</tr>
	</table>

	<br/>

	<font face="Verdana" style="font-size:10pt" color="black">
		<b>Spells</b><br/>
	</font>
	<table cellpadding="0" cellspacing="0" border="0" width="70%">
	<tr>
		<td width="70%" style="border-bottom: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<b>Name</b><br/>
			</font>
		</td>
		<td width="10%" style="border-bottom: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<b>Class</b><br/>
			</font>
		</td>
		<td width="10%" style="border-bottom: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<b>Lvl</b><br/>
			</font>
		</td>
		<td width="10%" style="border-bottom: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<b>Acquired</b><br/>
			</font>
		</td>
	</tr>

	<xsl:for-each select="known-spells/known-spell">
		<xsl:choose>
		<xsl:when test="(position() mod 2) = 1">
			<tr>
				<td bgcolor="silver">
					<font face="Verdana" style="font-size:8pt" color="black">
						<xsl:value-of select="name"/><br/>
					</font>
				</td>
				<td bgcolor="silver">
					<font face="Verdana" style="font-size:8pt" color="black">
						<xsl:value-of select="class"/><br/>
					</font>
				</td>
				<td bgcolor="silver">
					<font face="Verdana" style="font-size:8pt" color="black">
						<xsl:value-of select="level"/><br/>
					</font>
				</td>
				<td bgcolor="silver">
					<font face="Verdana" style="font-size:8pt" color="black">
						<xsl:value-of select="with"/><br/>
					</font>
				</td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<tr>
				<td>
					<font face="Verdana" style="font-size:8pt" color="black">
						<xsl:value-of select="name"/><br/>
					</font>
				</td>
				<td>
					<font face="Verdana" style="font-size:8pt" color="black">
						<xsl:value-of select="class"/><br/>
					</font>
				</td>
				<td>
					<font face="Verdana" style="font-size:8pt" color="black">
						<xsl:value-of select="level"/><br/>
					</font>
				</td>
				<td>
					<font face="Verdana" style="font-size:8pt" color="black">
						<xsl:value-of select="with"/><br/>
					</font>
				</td>
			</tr>
		</xsl:otherwise>
		</xsl:choose>
	</xsl:for-each>
	</table>

	<br/>

	<font face="Verdana" style="font-size:10pt" color="black">
		<b>Additional Known Spell</b><br/>
	</font>
	<table cellpadding="0" cellspacing="0" border="0" width="40%">
	<tr>
		<td width="50%" style="border-bottom: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<b>Class</b><br/>
			</font>
		</td>
		<td width="25%" style="border-bottom: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<b>Lvl</b><br/>
			</font>
		</td>
		<td width="25%" style="border-bottom: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<b>Number</b><br/>
			</font>
		</td>
	</tr>

	<xsl:for-each select="additional-known-spells/additional-known-spell">
		<xsl:choose>
		<xsl:when test="(position() mod 2) = 1">
			<tr>
				<td bgcolor="silver">
					<font face="Verdana" style="font-size:8pt" color="black">
						<xsl:value-of select="class"/><br/>
					</font>
				</td>
				<td bgcolor="silver">
					<font face="Verdana" style="font-size:8pt" color="black">
						<xsl:value-of select="level"/><br/>
					</font>
				</td>
				<td bgcolor="silver">
					<font face="Verdana" style="font-size:8pt" color="black">
						<xsl:value-of select="remaining"/><br/>
					</font>
				</td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<tr>
				<td>
					<font face="Verdana" style="font-size:8pt" color="black">
						<xsl:value-of select="class"/><br/>
					</font>
				</td>
				<td>
					<font face="Verdana" style="font-size:8pt" color="black">
						<xsl:value-of select="level"/><br/>
					</font>
				</td>
				<td>
					<font face="Verdana" style="font-size:8pt" color="black">
						<xsl:value-of select="remaining"/><br/>
					</font>
				</td>
			</tr>
		</xsl:otherwise>
		</xsl:choose>
	</xsl:for-each>
	</table>

	<br/>

	<font face="Verdana" style="font-size:10pt" color="black">
		<b>Additional Prepared Spell</b><br/>
	</font>
	<table cellpadding="0" cellspacing="0" border="0" width="40%">
	<tr>
		<td width="50%" style="border-bottom: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<b>Class</b><br/>
			</font>
		</td>
		<td width="25%" style="border-bottom: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<b>Lvl</b><br/>
			</font>
		</td>
		<td width="25%" style="border-bottom: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<b>Number</b><br/>
			</font>
		</td>
	</tr>

	<xsl:for-each select="additional-prepared-spells/additional-prepared-spell">
		<xsl:choose>
		<xsl:when test="(position() mod 2) = 1">
			<tr>
				<td bgcolor="silver">
					<font face="Verdana" style="font-size:8pt" color="black">
						<xsl:value-of select="class"/><br/>
					</font>
				</td>
				<td bgcolor="silver">
					<font face="Verdana" style="font-size:8pt" color="black">
						<xsl:value-of select="level"/><br/>
					</font>
				</td>
				<td bgcolor="silver">
					<font face="Verdana" style="font-size:8pt" color="black">
						<xsl:value-of select="remaining"/><br/>
					</font>
				</td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<tr>
				<td>
					<font face="Verdana" style="font-size:8pt" color="black">
						<xsl:value-of select="class"/><br/>
					</font>
				</td>
				<td>
					<font face="Verdana" style="font-size:8pt" color="black">
						<xsl:value-of select="level"/><br/>
					</font>
				</td>
				<td>
					<font face="Verdana" style="font-size:8pt" color="black">
						<xsl:value-of select="remaining"/><br/>
					</font>
				</td>
			</tr>
		</xsl:otherwise>
		</xsl:choose>
	</xsl:for-each>
	</table>
</xsl:template>


<xsl:template name="empty-or-item">
	<xsl:param name="count"/>
	<xsl:param name="row"/>
	<xsl:param name="max"/>
	<xsl:if test="$count != 0">
		<tr>
			<xsl:variable name="item1" select="items/item[position() = $row]"/>
			<td style="border-left: 2px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:8pt" color="black">
					<xsl:if test="$item1/name != 0">
						<xsl:value-of select="$item1/type"/><xsl:text>: </xsl:text>
					</xsl:if>
					<xsl:value-of select="$item1/name"/><br/>
				</font>
			</td>
			<td align="center" style="border-right: 1px solid black; border-left: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:8pt" color="black">
					<xsl:if test="$item1/carried = 'false'">(</xsl:if>
					<xsl:value-of select="$item1/weight"/>
					<xsl:if test="$item1/carried = 'false'">)</xsl:if>
					<br/>
				</font>
			</td>

			<xsl:variable name="item2" select="items/item[position() = ($row + $max)]"/>
			<td style="border-left: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:8pt" color="black">
					<xsl:if test="$item2/name != 0">
						<xsl:value-of select="$item2/type"/><xsl:text>: </xsl:text>
					</xsl:if>
					<xsl:value-of select="$item2/name"/><br/>
				</font>
			</td>
			<td align="center" style="border-right: 2px solid black; border-left: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:8pt" color="black">
					<xsl:if test="$item2/carried = 'false'">(</xsl:if>
					<xsl:value-of select="$item2/weight"/><br/>
					<xsl:if test="$item2/carried = 'false'">)</xsl:if>
				</font>
			</td>
		</tr>
		<xsl:call-template name="empty-or-item">
			<xsl:with-param name="count" select="$count - 1"/>
			<xsl:with-param name="row" select="$row + 1"/>
			<xsl:with-param name="max" select="$max"/>
		</xsl:call-template>
	</xsl:if>
</xsl:template>


<xsl:template match="feat">
	<tr>
		<td><br/></td>
		<td colspan="2" style="border-left: 1px solid black; border-right: 1px solid black; border-bottom: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<xsl:value-of select="name"/><br/>
			</font>
		</td>
	</tr>
</xsl:template>


<xsl:template name="empty-feat">
	<xsl:param name="count"/>

	<xsl:if test="$count != 0">
		<tr>
			<td><br/></td>
			<td colspan="2" style="border-left: 1px solid black; border-right: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:8pt" color="black">
					<br/>
				</font>
			</td>
		</tr>
		<xsl:call-template name="empty-feat">
			<xsl:with-param name="count" select="$count - 1"/>
		</xsl:call-template>
	</xsl:if>
</xsl:template>


<xsl:template name="empty-or-language">
	<xsl:param name="count"/>
	<xsl:param name="row"/>
	<xsl:param name="max"/>
	<xsl:if test="$count != 0">
		<tr>
			<td style="border-left: 1px solid black; border-right: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:8pt" color="black">
					<xsl:value-of select="languages/language[position() = $row]"/><br/>
				</font>
			</td>
			<td style="border-right: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:8pt" color="black">
					<xsl:value-of select="languages/language[position() = ($row + $max)]"/><br/>
				</font>
			</td>
		</tr>
		<xsl:call-template name="empty-or-language">
			<xsl:with-param name="count" select="$count - 1"/>
			<xsl:with-param name="row" select="$row + 1"/>
			<xsl:with-param name="max" select="$max"/>
		</xsl:call-template>
	</xsl:if>
</xsl:template>


<xsl:template name="empty-or-spell">
	<xsl:param name="count"/>
	<xsl:param name="row"/>
	<xsl:param name="max"/>
	<xsl:param name="level1"/>
	<xsl:param name="level2"/>
	<xsl:param name="level3"/>

	<xsl:variable name="name" select="./name"/>
	<xsl:if test="$count != 0">
		<tr>
			<xsl:variable name="spell1" select="spell[position() = $row]/name"/>
			<xsl:variable name="lvl1" select="spell[position() = $row]/level"/>
			<td align="center" style="border-left: 2px solid black; border-right: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:8pt" color="black">
					<xsl:variable name="current1" select="//character/spells-prepared/class[name = $name]"/>
					<xsl:value-of select="$current1/spell[name = $spell1]/count"/>
					<br/>
				</font>
			</td>
			<td style="border-bottom: 1px solid black; border-right: 1px solid black;">
				<font face="Verdana" style="font-size:8pt" color="black">
					<xsl:if test="$spell1 != 0">
						<xsl:if test="$lvl1 != $level1">
							<xsl:apply-templates select="$lvl1"/>
						</xsl:if>
						<xsl:value-of select="$spell1"/>
					</xsl:if>
					<br/>
				</font>
			</td>

			<xsl:variable name="spell2" select="spell[position() = ($row + $max)]/name"/>
			<xsl:variable name="lvl2" select="spell[position() = ($row + $max)]/level"/>
			<td align="center" style="border-left: 1px solid black; border-right: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:8pt" color="black">
					<xsl:variable name="current2" select="//character/spells-prepared/class[name = $name]"/>
					<xsl:value-of select="$current2/spell[name = $spell2]/count"/>
					<br/>
				</font>
			</td>
			<td style="border-bottom: 1px solid black; border-right: 1px solid black;">
				<font face="Verdana" style="font-size:8pt" color="black">
					<xsl:if test="$spell2 != 0">
						<xsl:if test="$lvl2 != $level2">
							<xsl:apply-templates select="$lvl2"/>
						</xsl:if>
						<xsl:value-of select="$spell2"/>
					</xsl:if>
					<br/>
				</font>
			</td>

			<xsl:variable name="spell3" select="spell[position() = ($row + ($max * 2))]/name"/>
			<xsl:variable name="lvl3" select="spell[position() = ($row + ($max * 2))]/level"/>
			<td align="center" style="border-left: 1px solid black; border-right: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:8pt" color="black">
					<xsl:variable name="current3" select="//character/spells-prepared/class[name = $name]"/>
					<xsl:value-of select="$current3/spell[name = $spell3]/count"/>
					<br/>
				</font>
			</td>
			<td style="border-bottom: 1px solid black; border-right: 2px solid black;">
				<font face="Verdana" style="font-size:8pt" color="black">
					<xsl:if test="$spell3 != 0">
						<xsl:if test="$lvl3 != $level3">
							<xsl:apply-templates select="$lvl3"/>
						</xsl:if>
						<xsl:value-of select="$spell3"/>
					</xsl:if>
					<br/>
				</font>
			</td>
		</tr>
		<xsl:call-template name="empty-or-spell">
			<xsl:with-param name="count" select="$count - 1"/>
			<xsl:with-param name="row" select="$row + 1"/>
			<xsl:with-param name="max" select="$max"/>
			<xsl:with-param name="level1" select="$lvl1"/>
			<xsl:with-param name="level2" select="$lvl2"/>
			<xsl:with-param name="level3" select="$lvl3"/>
		</xsl:call-template>
	</xsl:if>
</xsl:template>


<xsl:template match="level">
	<xsl:choose>
		<xsl:when test=". = '0'"><b>0: </b></xsl:when>
		<xsl:when test=". = '1'"><b>1st: </b></xsl:when>
		<xsl:when test=". = '2'"><b>2nd: </b></xsl:when>
		<xsl:when test=". = '3'"><b>3rd: </b></xsl:when>
		<xsl:otherwise>
			<b><xsl:value-of select="."/>th: </b>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="attacks/base">
	<table align="center" width="96%">
		<tr>
			<td width="60%" align="center" bgcolor="black">
				<font face="Verdana" style="font-size:9pt" color="white">
					<b>BASE ATTACK</b>
				</font>
				<font face="Verdana" style="font-size:5pt" color="white">
					<br/>BONUS
				</font>
			</td>

			<td width="40%" align="center" style="border: 1px solid black">
				<font face="Verdana" style="font-size: 10pt">
					<b><xsl:value-of select="."/></b>
				</font>
			</td>
		</tr>
	</table>
</xsl:template>


<xsl:template match="abilities">
	<table width="100%">
	<tr>
		<td align="center" width="28%">
			<font face="Verdana" style="font-size: 4pt">
				ABILITY<br/>NAME
			</font>
		</td>
		<td align="center" width="18%">
			<font face="Verdana" style="font-size: 4pt">
				ABILITY<br/>SCORE
			</font>
		</td>
		<td align="center" width="18%">
			<font face="Verdana" style="font-size: 4pt">
				ABILITY<br/>MODIFIER
			</font>
		</td>
		<td align="center" width="18%">
			<font face="Verdana" style="font-size: 4pt">
				TEMPORARY<br/>SCORE
			</font>
		</td>
		<td align="center" width="18%">
			<font face="Verdana" style="font-size: 4pt">
				TEMPORARY<br/>MODIFIER
			</font>
		</td>
	</tr>
	<xsl:for-each select="ability">
	<tr>
		<td align="center" bgcolor="black">
			<font face="Verdana" style="font-size:10pt" color="white">
				<b><xsl:value-of select="abbr"/></b><br/>
			</font>
			<font face="Verdana" style="font-size:5pt" color="white">
				<xsl:value-of select="name"/>
			</font>
		</td>
		<td align="center" style="border: 1px solid black">
			<font face="Verdana" style="font-size: 10pt">
				<b><xsl:value-of select="base"/></b>
			</font>
		</td>
		<td align="center" style="border: 1px solid black">
			<font face="Verdana" style="font-size: 10pt">
				<b><xsl:value-of select="modifier"/></b>
			</font>
		</td>
		<td align="center" style="border: 5px solid lightgray">
			<font face="Verdana" style="font-size: 5pt">
				<br/>
			</font>
		</td>
		<td align="center" style="border: 5px solid lightgray">
			<font face="Verdana" style="font-size: 5pt">
				<br/>
			</font>
		</td>
	</tr>
	</xsl:for-each>
	</table>
</xsl:template>


<xsl:template match="hit-points">
	<tr>
		<td width="11%"></td>
		<td width="5%"></td>
		<td width="2%"></td><td width="5%"></td>
		<td width="2%"></td><td width="5%"></td>
		<td width="2%"></td><td width="5%"></td>
		<td width="2%"></td><td width="5%"></td>
		<td width="2%"></td><td width="5%"></td>
		<td width="2%"></td><td width="5%"></td>
		<td width="2%"></td><td width="5%"></td>
		<td width="2%"></td><td width="5%"></td>
		<td width="2%"></td><td width="5%"></td>
		<td width="2%"></td><td width="5%"></td>
		<td width="2%"></td><td width="5%"></td>
		<td width="2%"></td><td width="5%"></td>
	</tr>
	<tr>
		<td><br/></td>
		<td align="center" valign="bottom">
			<font face="Verdana" style="font-size: 6pt"><b>TOTAL</b></font>
		</td>

		<td colspan="6" align="center">
			<font face="Verdana" style="font-size: 5pt"><br/>WOUNDS/CURRENT HP</font>
		</td>
		<td colspan="6" align="center">
			<font face="Verdana" style="font-size: 5pt"><br/>SUBDUAL DAMAGE</font>
		</td>

		<td colspan="2" rowspan="2"></td>

		<td colspan="2" align="center">
			<font face="Verdana" style="font-size: 5pt"><br/>DAMAGE<br/>REDUCTION</font>
		</td>
		<td colspan="2" align="center">
			<font face="Verdana" style="font-size: 5pt"><br/>HIT DIE<br/>TYPE</font>
		</td>

		<td></td>
		<td colspan="5" align="center">
			<font face="Verdana" style="font-size: 7pt"><br/><b>SPEED</b></font>
		</td>
	</tr>
	<tr>
		<td align="center" bgcolor="black">
			<font face="Verdana" style="font-size:9pt" color="white">
				<b>HP</b><br/>
			</font>
			<font face="Verdana" style="font-size:5pt" color="white">
				HIT POINTS
			</font>

		</td>
		<td align="center" style="border: 1px solid black">
			<font face="Verdana" style="font-size: 9pt">
				<b><xsl:value-of select="."/></b>
			</font>
		</td>

		<td colspan="6" style="border: 1px solid black">
			<br/>
		</td>
		<td colspan="6" style="border: 1px solid black">
			<br/>
		</td>

		<td colspan="2" align="center" style="border: 1px solid black">
			<font face="Verdana" style="font-size: 9pt">
				<b><xsl:value-of select="//character/damage-reduction"/><br/></b>
			</font>
		</td>
		<td colspan="2" align="center" style="border: 1px solid black">
			<font face="Verdana" style="font-size: 9pt">
				<b><xsl:value-of select="//character/hd-type"/><br/></b>
			</font>
		</td>

		<td></td>
		<td colspan="5" align="center" style="border: 1px solid black">
			<font face="Verdana" style="font-size: 9pt">
				<xsl:for-each select="//character/speeds/speed">
					<xsl:if test="position() &gt; 1">
						<xsl:text>, </xsl:text>
					</xsl:if>
					<xsl:choose>
					<xsl:when test="name = 'Base'">
						<xsl:value-of select="value"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="name"/>
						<xsl:text> </xsl:text>
						<xsl:value-of select="value"/>
					</xsl:otherwise>
					</xsl:choose>
				</xsl:for-each>
			</font>
		</td>
	</tr>
</xsl:template>


<xsl:template match="armor-class">
	<tr>
		<td align="center" bgcolor="black">
			<font face="Verdana" style="font-size:9pt" color="white">
				<b>AC</b><br/>
			</font>
			<font face="Verdana" style="font-size:5pt" color="white">
				ARMOR CLASS
			</font>
		</td>
		<td align="center" style="border: 1px solid black">
			<font face="Verdana" style="font-size: 9pt">
				<b><xsl:value-of select="sum(modifiers/modifier[@name != 'misc']/@value)"/></b><br/>
			</font>
		</td>

		<td align="center"><font face="Verdana" style="font-size: 7pt"><b>=</b></font></td>
		<td align="center">
			<font face="Verdana" style="font-size: 9pt">
				<b><xsl:value-of select="modifiers/modifier[@name = 'base']/@value"/></b>
			</font>
		</td>

		<td align="center"><font face="Verdana" style="font-size: 7pt"><b>+</b></font></td>
		<td align="center" style="border: 1px solid black">
			<font face="Verdana" style="font-size: 9pt">
				<b><xsl:value-of select="modifiers/modifier[@name = 'armor']/@value"/></b>
			</font>
		</td>

		<td align="center"><font face="Verdana" style="font-size: 7pt"><b>+</b></font></td>
		<td align="center" style="border: 1px solid black">
			<font face="Verdana" style="font-size: 9pt">
				<b><xsl:value-of select="modifiers/modifier[@name = 'shield']/@value"/></b>
			</font>
		</td>

		<td align="center"><font face="Verdana" style="font-size: 7pt"><b>+</b></font></td>
		<td align="center" style="border: 1px solid black">
			<font face="Verdana" style="font-size: 9pt">
				<b><xsl:value-of select="modifiers/modifier[@name = 'ability']/@value"/></b>
			</font>
		</td>

		<td align="center"><font face="Verdana" style="font-size: 7pt"><b>+</b></font></td>
		<td align="center" style="border: 1px solid black">
			<font face="Verdana" style="font-size: 9pt">
				<b><xsl:value-of select="modifiers/modifier[@name = 'size']/@value"/></b>
			</font>
		</td>

		<td align="center"><font face="Verdana" style="font-size: 7pt"><b>+</b></font></td>
		<td align="center" style="border: 1px solid black">
			<font face="Verdana" style="font-size: 9pt">
				<b><xsl:value-of select="modifiers/modifier[@name = 'natural']/@value"/></b>
			</font>
		</td>

		<td align="center"><font face="Verdana" style="font-size: 7pt"><b>+</b></font></td>
		<td align="center" style="border: 1px solid black">
			<font face="Verdana" style="font-size: 9pt">
				<b><xsl:value-of select="modifiers/modifier[@name = 'misc']/@value"/></b>
			</font>
		</td>

		<td colspan="2" rowspan="2"></td>

		<td rowspan="2"></td>
		<td align="center" style="border: 1px solid black">
			<font face="Verdana" style="font-size: 9pt">
				<b><xsl:value-of select="//character/miss-chance"/><br/></b>
			</font>
		</td>

		<td rowspan="2"></td>
		<td align="center" style="border: 1px solid black">
			<font face="Verdana" style="font-size: 9pt">
				<b><xsl:value-of select="//character/arcane-spell-failure"/><br/></b>
			</font>
		</td>

		<td rowspan="2"></td>
		<td align="center" style="border: 1px solid black">
			<font face="Verdana" style="font-size: 9pt">
				<b><xsl:value-of select="//character/armor-check-penalty"/><br/></b>
			</font>
		</td>

		<td rowspan="2"></td>
		<td align="center" style="border: 1px solid black">
			<font face="Verdana" style="font-size: 9pt">
				<b><xsl:value-of select="//character/spell-resistance"/><br/></b>
			</font>
		</td>
	</tr>

	<tr>
		<td align="center"><font face="Verdana" style="font-size: 6pt"></font></td>
		<td align="center" valign="top"><font face="Verdana" style="font-size: 6pt">TOTAL</font></td>

		<td></td>
		<td align="center"><font face="Verdana" style="font-size: 4pt">BASE</font></td>
		<td></td>
		<td align="center"><font face="Verdana" style="font-size: 4pt">ARMOR<br/>BONUS</font></td>
		<td></td>
		<td align="center"><font face="Verdana" style="font-size: 4pt">SHIELD<br/>BONUS</font></td>
		<td></td>
		<td align="center"><font face="Verdana" style="font-size: 4pt">DEX<br/>BONUS</font></td>
		<td></td>
		<td align="center"><font face="Verdana" style="font-size: 4pt">SIZE<br/>BONUS</font></td>
		<td></td>
		<td align="center"><font face="Verdana" style="font-size: 4pt">NATURAL<br/>ARMOR</font></td>
		<td></td>
		<td align="center"><font face="Verdana" style="font-size: 4pt">MISC<br/>BONUS</font></td>

		<td align="center"><font face="Verdana" style="font-size: 4pt">MISS<br/>CHANCE</font></td>
		<td align="center"><font face="Verdana" style="font-size: 4pt">ARCANE<br/>FAILURE</font></td>
		<td align="center"><font face="Verdana" style="font-size: 4pt">ARMOR<br/>CHECK</font></td>
		<td align="center"><font face="Verdana" style="font-size: 4pt">SPELL<br/>RESIST.</font></td>
	</tr>
</xsl:template>


<xsl:template match="initiative">
	<table>
	<tr>
		<td align="center" bgcolor="black">
			<font face="Verdana" style="font-size:9pt" color="white">
				<b>INITIATIVE</b>
			</font>
			<font face="Verdana" style="font-size:5pt" color="white">
				<br/>MODIFIER
			</font>
		</td>
		<td align="center" style="border: 1px solid black">
			<font face="Verdana" style="font-size: 10pt">
				<b><xsl:value-of select="sum(modifiers/modifier[@name != 'misc']/@value)"/></b>
			</font>
		</td>
		<td align="center"><font face="Verdana" style="font-size: 7pt"><b>=</b></font></td>
		<td align="center" style="border: 1px solid black">
			<font face="Verdana" style="font-size: 10pt">
				<b><xsl:value-of select="modifiers/modifier[@name = 'ability']/@value"/></b>
			</font>
		</td>
		<td align="center"><font face="Verdana" style="font-size: 7pt"><b>+</b></font></td>
		<td align="center" style="border: 1px solid black">
			<font face="Verdana" style="font-size: 10pt">
				<b><xsl:value-of select="modifiers/modifier[@name = 'misc']/@value"/></b>
			</font>
		</td>
	</tr>
	<tr>
		<td align="center">
		<font face="Verdana" style="font-size: 7pt"></font></td>
		<td align="center" valign="top">
		<font face="Verdana" style="font-size: 7pt">TOTAL</font></td>
		<td align="center">
		<font face="Verdana" style="font-size: 7pt"><b></b></font></td>
		<td align="center">
		<font face="Verdana" style="font-size: 5pt">DEX<br/>MODIFIER</font></td>
		<td align="center">
		<font face="Verdana" style="font-size: 7pt"><b></b></font></td>
		<td align="center">
		<font face="Verdana" style="font-size: 5pt">MISC<br/>MODIFIER</font></td>
	</tr>
	</table>
</xsl:template>


<xsl:template match="saving-throws">
	<table width="98%">
	<tr>
		<td align="center" width="20%">
			<font face="Verdana" style="font-size: 4pt">
				SAVING THROWS
			</font>
		</td>
		<td align="center" width="10%">
			<font face="Verdana" style="font-size: 4pt">
				TOTAL
			</font>
		</td>
		<td align="center"></td>
		<td align="center" width="10%">
			<font face="Verdana" style="font-size: 4pt">
				BASE<br/>SAVE
			</font>
		</td>
		<td></td>
		<td align="center" width="10%">
			<font face="Verdana" style="font-size: 4pt">
				ABILITY<br/>MODIFIER
			</font>
		</td>
		<td></td>
		<td align="center" width="10%">
			<font face="Verdana" style="font-size: 4pt">
				MAGIC<br/>MODIFIER
			</font>
		</td>
		<td></td>
		<td align="center" width="10%">
			<font face="Verdana" style="font-size: 4pt">
				MISC<br/>MODIFIER
			</font>
		</td>
		<td align="center"></td>
		<td align="center" width="10%">
			<font face="Verdana" style="font-size: 4pt">
				TEMPORARY<br/>MODIFIER
			</font>
		</td>

		<td align="left" valign="top" width="20%" rowspan="4" style="border: 1px solid black">
			<font face="Verdana" style="font-size: 4pt">
				CONDITIONAL<br/>MODIFIERS
			</font>
		</td>
	</tr>

	<xsl:for-each select="saving-throw">
	<tr>
		<td align="center" bgcolor="black">
			<font face="Verdana" style="font-size:10pt" color="white"><b>
				<xsl:value-of select="name"/></b>
			</font>
			<font face="Verdana" style="font-size:5pt" color="white"><br/>
				<xsl:value-of select="ability"/>
			</font>
		</td>

		<td align="center" style="border: 1px solid black">
			<font face="Verdana" style="font-size: 10pt">
				<b><xsl:value-of select="sum(modifiers/modifier[@name != 'misc']/@value)"/></b>
			</font>
		</td>

		<td align="center"><font face="Verdana" style="font-size: 7pt"><b>=</b></font></td>

		<td align="center" style="border: 1px solid black">
			<font face="Verdana" style="font-size: 10pt">
				<b><xsl:value-of select="modifiers/modifier[@name = 'base']/@value"/></b>
			</font>
		</td>

		<td align="center"><font face="Verdana" style="font-size: 7pt"><b>+</b></font></td>

		<td align="center" style="border: 1px solid black">
			<font face="Verdana" style="font-size: 10pt">
				<b><xsl:value-of select="modifiers/modifier[@name = 'ability']/@value"/></b>
			</font></td>

		<td align="center"><font face="Verdana" style="font-size: 7pt"><b>+</b></font></td>

		<td align="center" style="border: 1px solid black">
			<font face="Verdana" style="font-size: 10pt">
				<b><xsl:value-of select="modifiers/modifier[@name = 'magic']/@value"/></b><br/>
			</font>
		</td>

		<td align="center"><font face="Verdana" style="font-size: 7pt"><b>+</b></font></td>

		<td align="center" style="border: 1px solid black">
			<font face="Verdana" style="font-size: 10pt">
				<b><xsl:value-of select="modifiers/modifier[@name = 'misc']/@value"/></b><br/>
			</font>
		</td>

		<td align="center"><font face="Verdana" style="font-size: 7pt"><b>+</b></font></td>

		<td align="center" style="border: 5px solid lightgray">
			<font face="Verdana" style="font-size: 5pt">
				<br/>
			</font>
		</td>
	</tr>
	</xsl:for-each>

	</table>

</xsl:template>



<xsl:template match="attacks">
	<table width="98%">
	<tr>
		<td align="center"><font face="Verdana" style="font-size: 4pt"></font></td>
		<td align="center"><font face="Verdana" style="font-size: 4pt">TOTAL</font></td>
		<td align="center"><font face="Verdana" style="font-size: 4pt"><b></b></font></td>

		<td align="center"><font face="Verdana" style="font-size: 4pt">BASE ATTACK BONUS</font></td>
		<td align="center"><font face="Verdana" style="font-size: 5pt"><b></b></font></td>
		<td align="center"><font face="Verdana" style="font-size: 4pt">STR<br/>MODIFIER</font></td>
		<td align="center"><font face="Verdana" style="font-size: 5pt"><b></b></font></td>
		<td align="center"><font face="Verdana" style="font-size: 4pt">SIZE<br/>MODIFIER</font></td>
		<td align="center"><font face="Verdana" style="font-size: 7pt"><b></b></font></td>
		<td align="center"><font face="Verdana" style="font-size: 4pt">MISC<br/>MODIFIER</font></td>
		<td align="center"><font face="Verdana" style="font-size: 7pt"><b></b></font></td>
		<td align="center"><font face="Verdana" style="font-size: 4pt">TEMPORARY<br/>MODIFIER</font></td>
	</tr>

	<tr>
		<td align="center" bgcolor="black">
			<font face="Verdana" style="font-size:10pt" color="white">
				<b>MELEE</b>
			</font>
			<font face="Verdana" style="font-size:5pt" color="white">
				<br/>ATTACK BONUS
			</font>
		</td>

		<td align="center" style="border: 1px solid black">
			<font face="Verdana" style="font-size: 10pt">
				<b><xsl:value-of select="sum(melee/modifiers/modifier[@name != 'misc']/@value)"/></b>
			</font>
		</td>

		<td align="center"><font face="Verdana" style="font-size: 7pt"><b>+</b></font></td>

		<td align="center" style="border: 1px solid black">
			<font face="Verdana" style="font-size: 10pt">
				<b><xsl:value-of select="melee/modifiers/modifier[@name = 'base']/@value"/></b>
			</font>
		</td>

		<td align="center"><font face="Verdana" style="font-size: 7pt"><b>+</b></font></td>

		<td align="center" style="border: 1px solid black">
			<font face="Verdana" style="font-size: 10pt">
				<b><xsl:value-of select="melee/modifiers/modifier[@name = 'ability']/@value"/></b><br/>
			</font>
		</td>

		<td align="center"><font face="Verdana" style="font-size: 7pt"><b>+</b></font></td>

		<td align="center" style="border: 1px solid black">
			<font face="Verdana" style="font-size: 10pt">
				<b><xsl:value-of select="melee/modifiers/modifier[@name = 'size']/@value"/></b><br/>
			</font>
		</td>

		<td align="center"><font face="Verdana" style="font-size: 7pt"><b>+</b></font></td>

		<td align="center" style="border: 1px solid black">
			<font face="Verdana" style="font-size: 10pt">
				<b><xsl:value-of select="melee/modifiers/modifier[@name = 'misc']/@value"/></b><br/>
			</font>
		</td>

		<td align="center"><font face="Verdana" style="font-size: 7pt"><b>+</b></font></td>

		<td align="center" style="border: 5px solid lightgray">
			<font face="Verdana" style="font-size: 5pt">
				<br/>
			</font>
		</td>
	</tr>
	<tr>
		<td align="center" bgcolor="black">
			<font face="Verdana" style="font-size:10pt" color="white">
				<b>RANGED</b>
			</font>
			<font face="Verdana" style="font-size:5pt" color="white">
				<br/>ATTACK BONUS
			</font>
		</td>

		<td align="center" style="border: 1px solid black">
			<font face="Verdana" style="font-size: 10pt">
				<b><xsl:value-of select="sum(ranged/modifiers/modifier[@name != 'misc']/@value)"/></b>
			</font>
		</td>

		<td align="center"><font face="Verdana" style="font-size: 7pt"><b>=</b></font></td>

		<td align="center" style="border: 1px solid black">
			<font face="Verdana" style="font-size: 10pt">
				<b><xsl:value-of select="ranged/modifiers/modifier[@name = 'base']/@value"/></b><br/>
			</font>
		</td>

		<td align="center"><font face="Verdana" style="font-size: 7pt"><b>+</b></font></td>

		<td align="center" style="border: 1px solid black">
			<font face="Verdana" style="font-size: 10pt">
				<b><xsl:value-of select="ranged/modifiers/modifier[@name = 'ability']/@value"/></b><br/>
			</font>
		</td>

		<td align="center"><font face="Verdana" style="font-size: 7pt"><b>+</b></font></td>

		<td align="center" style="border: 1px solid black">
			<font face="Verdana" style="font-size: 10pt">
				<b><xsl:value-of select="ranged/modifiers/modifier[@name = 'size']/@value"/></b><br/>
			</font>
		</td>

		<td align="center"><font face="Verdana" style="font-size: 7pt"><b>+</b></font></td>

		<td align="center" style="border: 1px solid black">
			<font face="Verdana" style="font-size: 10pt">
				<b><xsl:value-of select="ranged/modifiers/modifier[@name = 'misc']/@value"/></b><br/>
			</font>
		</td>

		<td align="center"><font face="Verdana" style="font-size: 7pt"><b>+</b></font></td>

		<td align="center" style="border: 5px solid lightgray">
			<font face="Verdana" style="font-size: 5pt">
				<br/>
			</font>
		</td>
	</tr>
	<tr>
		<td align="center"><font face="Verdana" style="font-size: 4pt"></font></td>
		<td align="center"><font face="Verdana" style="font-size: 4pt">TOTAL</font></td>
		<td align="center"><font face="Verdana" style="font-size: 4pt"><b></b></font></td>

		<td align="center"><font face="Verdana" style="font-size: 4pt">BASE ATTACK BONUS</font></td>
		<td align="center"><font face="Verdana" style="font-size: 5pt"><b></b></font></td>
		<td align="center"><font face="Verdana" style="font-size: 4pt">DEX<br/>MODIFIER</font></td>
		<td align="center"><font face="Verdana" style="font-size: 5pt"><b></b></font></td>
		<td align="center"><font face="Verdana" style="font-size: 4pt">SIZE<br/>MODIFIER</font></td>
		<td align="center"><font face="Verdana" style="font-size: 7pt"><b></b></font></td>
		<td align="center"><font face="Verdana" style="font-size: 4pt">MISC<br/>MODIFIER</font></td>
		<td align="center"><font face="Verdana" style="font-size: 7pt"><b></b></font></td>
		<td align="center"><font face="Verdana" style="font-size: 4pt">TEMPORARY<br/>MODIFIER</font></td>
	</tr>
	</table>
	<br/>
</xsl:template>


<xsl:template match="weapons">
	<xsl:for-each select="weapon">

	<table cellpadding="0" cellspacing="0" border="0" width="98%">
	<xsl:choose>
	<xsl:when test="position() = 1">
		<tr>
			<td rowspan="2" width="5%" valign="top" align="left" bgcolor="black">
				<img src="left.gif"/>
			</td>
			<td rowspan="2" width="30%" align="center" bgcolor="black">
				<font face="Verdana" style="font-size:10pt" color="white">
					<b>WEAPON</b>
				</font>
			</td>
			<td rowspan="2" width="5%" valign="top" align="right" bgcolor="black">
				<img src="right.gif"/>
			</td>
			<td colspan="3">
				<font face="Verdana" style="font-size:6pt" color="white">
					<br/>
				</font>
			</td>
		</tr>
		<tr>
			<td width="24%" align="center" bgcolor="black">
				<font face="Verdana" style="font-size:6pt" color="white">
					<b>TOTAL ATTACK BONUS</b>
				</font>
			</td>
			<td width="18%" align="center" bgcolor="black">
				<font face="Verdana" style="font-size:6pt" color="white">
					<b>DAMAGE</b>
				</font>
			</td>
			<td width="18%" align="center" bgcolor="black">
				<font face="Verdana" style="font-size:6pt" color="white">
					<b>CRITICAL</b>
				</font>
			</td>
		</tr>
	</xsl:when>
	<xsl:otherwise>
		<tr>
			<td colspan="3" width="40%" align="center" bgcolor="black">
				<font face="Verdana" style="font-size:10pt" color="white">
					<b>WEAPON</b>
				</font>
			</td>
			<td width="24%" align="center" bgcolor="black">
				<font face="Verdana" style="font-size:6pt" color="white">
					<b>TOTAL ATTACK BONUS</b>
				</font>
			</td>
			<td width="18%" align="center" bgcolor="black">
				<font face="Verdana" style="font-size:6pt" color="white">
					<b>DAMAGE</b>
				</font>
			</td>
			<td width="18%" align="center" bgcolor="black">
				<font face="Verdana" style="font-size:6pt" color="white">
					<b>CRITICAL</b>
				</font>
			</td>
		</tr>
	</xsl:otherwise>
	</xsl:choose>


	<tr>
		<td align="center" colspan="3" bgcolor="white" style="border: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<b><xsl:value-of select="name"/><br/></b>
			</font>
		</td>
		<td align="center" bgcolor="white" style="border: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<b><xsl:value-of select="bonus"/><br/></b>
			</font>
		</td>
		<td align="center" bgcolor="white" style="border: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<b><xsl:value-of select="damage"/><br/></b>
			</font>
		</td>
		<td align="center" bgcolor="white" style="border: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<b><xsl:value-of select="critical"/><br/></b>
			</font>
		</td>
	</tr>
	</table>

	<table cellpadding="0" cellspacing="0" border="0" width="98%">
	<tr>
		<td align="center" bgcolor="black" width="10%">
			<font face="Verdana" style="font-size:6pt" color="white"><b>RANGE</b></font></td>
		<td align="center" bgcolor="black" width="15%">
			<font face="Verdana" style="font-size:6pt" color="white"><b>WEIGHT</b></font></td>
		<td align="center" bgcolor="black" width="25%">
			<font face="Verdana" style="font-size:6pt" color="white"><b>TYPE</b></font></td>
		<td align="center" bgcolor="black" width="15%">
			<font face="Verdana" style="font-size:6pt" color="white"><b>SIZE</b></font></td>
		<td align="center" bgcolor="black" width="35%">
			<font face="Verdana" style="font-size:6pt" color="white"><b>SPECIAL PROPERTIES</b></font></td>
	</tr>
	<tr>
		<td align="center" bgcolor="white" style="border: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<b><xsl:value-of select="range"/><br/></b>
			</font>
		</td>
		<td align="center" bgcolor="white" style="border: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<b><xsl:value-of select="weight"/><br/></b>
			</font>
		</td>
		<td align="center" bgcolor="white" style="border: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<b><xsl:value-of select="damage-type"/><br/></b>
			</font>
		</td>
		<td align="center" bgcolor="white" style="border: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<b><xsl:value-of select="size"/><br/></b>
			</font>
		</td>
		<td align="center" bgcolor="white" style="border: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<b><xsl:value-of select="special"/><br/></b>
			</font>
		</td>
	</tr>
	</table>
	<xsl:if test="position() = last()">
		<font face="Verdana" style="font-size:4pt" color="black">
			<br/>
		</font>
	</xsl:if>
	</xsl:for-each>
</xsl:template>


<xsl:template match="armor">
	<table cellpadding="0" cellspacing="0" border="0" width="98%">
	<tr>
		<td rowspan="2" width="5%" valign="top" align="left" bgcolor="black">
			<IMG SRC="left.gif"/>
		</td>
		<td rowspan="2" width="30%" align="center" bgcolor="black">
			<font face="Verdana" style="font-size:10pt" color="white">
				<b>ARMOR</b>
			</font>
		</td>
		<td rowspan="2" width="5%" valign="top" align="right" bgcolor="black">
			<IMG SRC="right.gif"/>
		</td>
		<td colspan="3">
			<font face="Verdana" style="font-size:6pt" color="white">
				<br/>
			</font>
		</td>
	</tr>
	<tr>
		<td width="30%" align="center" bgcolor="black">
			<font face="Verdana" style="font-size:6pt" color="white">
				<b>TYPE</b>
			</font>
		</td>
		<td width="15%" align="center" bgcolor="black">
			<font face="Verdana" style="font-size:6pt" color="white">
				<b>ARMOR BONUS</b>
			</font>
		</td>
		<td width="15%" align="center" bgcolor="black">
			<font face="Verdana" style="font-size:6pt" color="white">
				<b>MAX DEX BONUS</b>
			</font>
		</td>
	</tr>
	<tr>
		<td colspan="3" align="center" bgcolor="white" style="border: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<b><xsl:value-of select="name"/><br/></b>
			</font>
		</td>
		<td align="center" bgcolor="white" style="border: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<b><xsl:value-of select="weight-type"/><br/></b>
			</font>
		</td>
		<td align="center" bgcolor="white" style="border: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<b><xsl:value-of select="bonus"/><br/></b>
			</font>
		</td>
		<td align="center" bgcolor="white" style="border: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<b><xsl:value-of select="max-dex"/><br/></b>
			</font>
		</td>
	</tr>
	</table>

	<table cellpadding="0" cellspacing="0" border="0" width="98%">
	<tr>
		<td width="10%" align="center" bgcolor="black">
			<font face="Verdana" style="font-size:5pt" color="white">
				<b>CHECK PENALTY</b>
			</font>
		</td>
		<td width="10%" align="center" bgcolor="black">
			<font face="Verdana" style="font-size:5pt" color="white">
				<b>SPELL FAILURE</b>
			</font>
		</td>
		<td width="15%" align="center" bgcolor="black">
			<font face="Verdana" style="font-size:6pt" color="white">
				<b>SPEED</b>
			</font>
		</td>
		<td width="15%" align="center" bgcolor="black">
			<font face="Verdana" style="font-size:6pt" color="white">
				<b>WEIGHT</b>
			</font>
		</td>
		<td width="50%" align="center" bgcolor="black">
			<font face="Verdana" style="font-size:6pt" color="white">
				<b>SPECIAL PROPERTIES</b>
			</font>
		</td>
	</tr>
	<tr>
		<td align="center" bgcolor="white" style="border: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<b><xsl:value-of select="check-penalty"/></b><br/>
			</font>
		</td>
		<td align="center" bgcolor="white" style="border: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<b><xsl:value-of select="spell-failure"/>%</b><br/>
			</font>
		</td>
		<td align="center" bgcolor="white" style="border: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<b><xsl:value-of select="speed"/> ft.</b><br/>
			</font>
		</td>
		<td align="center" bgcolor="white" style="border: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<b><xsl:value-of select="weight"/></b><br/>
			</font>
		</td>
		<td align="center" bgcolor="white" style="border: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<b><xsl:value-of select="special"/></b><br/>
			</font>
		</td>
	</tr>
	</table>

	<font face="Verdana" style="font-size:4pt" color="black">
		<br/>
	</font>
</xsl:template>


<xsl:template match="shield">
	<table border="0" cellpadding="0" cellspacing="0" width="98%">
	<tr>
		<td rowspan="2" width="5%" valign="top" align="left" bgcolor="black">
			<IMG SRC="left.gif"/>
		</td>
		<td rowspan="2" align="center" bgcolor="black" width="30%">
			<font face="Verdana" style="font-size:10pt" color="white">
				<b>SHIELD</b>
			</font>
		</td>
		<td rowspan="2" width="5%" valign="top" align="right" bgcolor="black">
			<IMG SRC="right.gif"/>
		</td>
		<td colspan="3">
			<font face="Verdana" style="font-size:6pt" color="white">
				<br/>
			</font>
		</td>
	</tr>
	<tr>
		<td align="center" bgcolor="black" width="15%">
			<font face="Verdana" style="font-size:6pt" color="white">
				<b>ARMOR BONUS</b>
			</font>
		</td>
		<td align="center" bgcolor="black" width="15%">
			<font face="Verdana" style="font-size:6pt" color="white">
				<b>WEIGHT</b>
			</font>
		</td>
		<td align="center" bgcolor="black" width="15%">
			<font face="Verdana" style="font-size:6pt" color="white">
				<b>CHECK PENALTY</b>
			</font>
		</td>
		<td align="center" bgcolor="black" width="15%">
			<font face="Verdana" style="font-size:6pt" color="white">
				<b>SPELL FAILURE</b>
			</font>
		</td>
	</tr>
	<tr>
		<td colspan="3" align="center" bgcolor="white" style="border: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<b><xsl:value-of select="name"/></b><br/>
			</font></td>
		<td align="center" bgcolor="white" style="border: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<b><xsl:value-of select="bonus"/></b><br/>
			</font></td>
		<td align="center" bgcolor="white" style="border: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<b><xsl:value-of select="weight"/></b><br/>
			</font></td>
		<td align="center" bgcolor="white" style="border: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<b><xsl:value-of select="check-penalty"/></b><br/>
			</font></td>
		<td align="center" bgcolor="white" style="border: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<b><xsl:value-of select="spell-failure"/>%</b><br/>
			</font></td>
	</tr>
	<tr>
		<td align="center" bgcolor="black" colspan="7">
			<font face="Verdana" style="font-size:7pt" color="white">
				<b>SPECIAL PROPERTIES</b>
			</font>
		</td>
	</tr>
	<tr>
		<td align="center" bgcolor="white" style="border: 1px solid black" colspan="7">
			<font face="Verdana" style="font-size:8pt" color="black">
				<b><xsl:value-of select="special"/></b><br/>
			</font>
		</td>
	</tr>
	</table>

	<font face="Verdana" style="font-size:4pt" color="black">
		<br/>
	</font>
</xsl:template>


<xsl:template match="protective-item">
	<table border="0" cellpadding="0" cellspacing="0" width="98%">
	<tr>

		<td rowspan="2" width="5%" valign="top" align="left" bgcolor="black">
			<IMG SRC="left.gif"/>
		</td>
		<td rowspan="2" width="40%" align="center" bgcolor="black">
			<font face="Verdana" style="font-size:10pt" color="white">
				<b>PROTECTIVE ITEM</b>
			</font>
		</td>
		<td rowspan="2" width="5%" valign="top" align="right" bgcolor="black">
			<IMG SRC="right.gif"/>
		</td>
		<td colspan="4">
			<font face="Verdana" style="font-size:6pt" color="white">
				<br/>
			</font>
		</td>
	</tr>
	<tr>
		<xsl:variable name="bonuses" select="count(bonuses/bonus)"/>
<xsl:choose>
<xsl:when test="$bonuses = 3">
	<td width="10%" align="center" bgcolor="black">
		<font face="Verdana" style="font-size:6pt" color="white">
			<b><xsl:value-of select="bonuses/bonus[1]/@name"/></b><br/>
		</font>
	</td>
	<td width="10%" align="center" bgcolor="black">
		<font face="Verdana" style="font-size:6pt" color="white">
			<b><xsl:value-of select="bonuses/bonus[2]/@name"/></b><br/>
		</font>
	</td>
	<td width="10%" align="center" bgcolor="black">
		<font face="Verdana" style="font-size:6pt" color="white">
			<b><xsl:value-of select="bonuses/bonus[3]/@name"/></b><br/>
		</font>
	</td>
</xsl:when>
<xsl:when test="$bonuses = 2">
	<td width="15%" align="center" bgcolor="black">
		<font face="Verdana" style="font-size:6pt" color="white">
			<b><xsl:value-of select="bonuses/bonus[1]/@name"/></b><br/>
		</font>
	</td>
	<td colspan="2" width="15%" align="center" bgcolor="black">
		<font face="Verdana" style="font-size:6pt" color="white">
			<b><xsl:value-of select="bonuses/bonus[2]/@name"/></b><br/>
		</font>
	</td>
</xsl:when>
<xsl:otherwise>
	<td colspan="3" width="30%" align="center" bgcolor="black">
		<font face="Verdana" style="font-size:6pt" color="white">
			<b><xsl:value-of select="bonuses/bonus/@name"/></b><br/>
		</font>
	</td>
</xsl:otherwise>
</xsl:choose>
		<td width="10%" align="center" bgcolor="black">
			<font face="Verdana" style="font-size:6pt" color="white">
				<b>WEIGHT</b>
			</font>
		</td>
	</tr>
	<tr>
		<td colspan="3" align="center" bgcolor="white" style="border: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<b><xsl:value-of select="name"/></b><br/>
			</font>
		</td>
<xsl:choose>
<xsl:when test="$bonuses = 3">
	<td width="10%" align="center" bgcolor="white" style="border: 1px solid black">
		<font face="Verdana" style="font-size:8pt" color="black">
			<b><xsl:value-of select="bonuses/bonus[1]/@value"/></b><br/>
		</font>
	</td>
	<td width="10%" align="center" bgcolor="white" style="border: 1px solid black">
		<font face="Verdana" style="font-size:8pt" color="black">
			<b><xsl:value-of select="bonuses/bonus[2]/@value"/></b><br/>
		</font>
	</td>
	<td width="10%" align="center" bgcolor="white" style="border: 1px solid black">
		<font face="Verdana" style="font-size:8pt" color="black">
			<b><xsl:value-of select="bonuses/bonus[3]/@value"/></b><br/>
		</font>
	</td>
</xsl:when>
<xsl:when test="$bonuses = 2">
	<td width="15%" align="center" bgcolor="white" style="border: 1px solid black">
		<font face="Verdana" style="font-size:8pt" color="black">
			<b><xsl:value-of select="bonuses/bonus[1]/@value"/></b><br/>
		</font>
	</td>
	<td colspan="2" width="15%" align="center" bgcolor="white" style="border: 1px solid black">
		<font face="Verdana" style="font-size:8pt" color="black">
			<b><xsl:value-of select="bonuses/bonus[2]/@value"/></b><br/>
		</font>
	</td>
</xsl:when>
<xsl:otherwise>
	<td colspan="3" width="30%" align="center" bgcolor="white" style="border: 1px solid black">
		<font face="Verdana" style="font-size:8pt" color="black">
			<b><xsl:value-of select="bonuses/bonus/@value"/></b><br/>
		</font>
	</td>
</xsl:otherwise>
</xsl:choose>
		<td align="center" bgcolor="white" style="border: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<xsl:if test="weight != 0">
					<b><xsl:value-of select="weight"/></b>
				</xsl:if>
				<br/>
			</font>
		</td>
	</tr>
	<tr>
		<td colspan="7" align="center" bgcolor="black">
			<font face="Verdana" style="font-size:7pt" color="white">
				<b>SPECIAL PROPERTIES</b>
			</font>
		</td>
	</tr>
	<tr>
		<td colspan="7" align="center" bgcolor="white" style="border: 1px solid black">
			<font face="Verdana" style="font-size:8pt" color="black">
				<b><xsl:value-of select="special-properties"/></b><br/>
			</font>
		</td>
	</tr>
	</table>

	<font face="Verdana" style="font-size:4pt" color="black">
		<br/>
	</font>
</xsl:template>


<xsl:template match="skills">
	<table border="0" cellpadding="0" cellspacing="0" width="100%">
		<tr>
			<td colspan="10" bgcolor="black" align="center">
				<font face="Verdana" style="font-size: 8pt" color="white">
					<b>SKILLS</b>
				</font>
			</td>
		</tr>
		<tr>
			<td align="center" width="2%" bgcolor="black">
				<font face="Verdana" style="font-size: 4pt"><br/></font>
			</td>
			<td align="center" width="48%" style="border: 1pt solid black">
				<font face="Verdana" style="font-size: 4pt">SKILL NAME</font>
			</td>
			<td align="center" width="10%" style="border: 1pt solid black">
				<font face="Verdana" style="font-size: 4pt">KEY<br/>ABILITY</font>
			</td>
			<td align="center" width="10%" style="border: 1pt solid black">
				<font face="Verdana" style="font-size: 4pt">TOTAL</font>
			</td>
			<td bgcolor="black"><br/></td>
			<td align="center" width="10%" style="border: 1pt solid black">
				<font face="Verdana" style="font-size: 4pt">RANKS</font>
			</td>
			<td bgcolor="black"><br/></td>
			<td align="center" width="10%" style="border: 1pt solid black">
				<font face="Verdana" style="font-size: 4pt">ABILITY<br/>MODIFIER</font>
			</td>
			<td bgcolor="black"><br/></td>
			<td align="center" width="10%" style="border: 1px solid black">
				<font face="Verdana" style="font-size: 4pt">MISC<br/>MODIFIER</font>
			</td>
		</tr>

		<xsl:apply-templates select="skill">
			<xsl:sort select="string(name)"/>
		</xsl:apply-templates>

		<xsl:if test="count(skill) &lt; 40">
			<xsl:call-template name="empty-skill">
				<xsl:with-param name="count" select="40 - count(skill)"/>
			</xsl:call-template>
		</xsl:if>

	</table>

	<font face="Verdana" style="font-size: 5pt">Skills marked with <font face="Wingdings" style="font-size: 8pt">n</font> can be used untrained.</font><br/>
	<font face="Verdana" style="font-size: 5pt">* armor check penalty, if any, applies.</font><br/>
	<font face="Verdana" style="font-size: 5pt">** -1 per 5 lb. of gear</font><br/>
</xsl:template>


<xsl:template match="skill">
	<tr>
		<td align="left">
			<font face="Verdana" style="font-size: 7pt">
				<xsl:apply-templates select="untrained"/><br/>
			</font>
		</td>
		<td align="left">
			<font face="Verdana" style="font-size: 7pt">
				<xsl:value-of select="name"/>
				<xsl:apply-templates select="armor-check"/>
				<xsl:apply-templates select="weight-check"/>
			</font>
		</td>
		<td align="left" valign="bottom">
			<font face="Verdana" style="font-size: 6pt">
				<xsl:value-of select="ability"/><br/>
			</font>
		</td>
		<td align="center" style="border-bottom-width:1px; border-bottom: 1pt solid black" valign="bottom">
			<font face="Verdana" style="font-size: 6pt">
				<b><xsl:value-of select="sum(modifiers/modifier[@name != 'misc']/@value)"/></b>
			</font>
		</td>
		<td align="center" valign="bottom">
			<font face="Verdana" style="font-size: 7pt">
				<b>=</b>
			</font>
		</td>
		<td align="center" style="border-bottom-width:1px; border-bottom: 1pt solid black" valign="bottom">
			<font face="Verdana" style="font-size: 6pt">
				<xsl:variable name="rank" select="modifiers/modifier[@name = 'rank']/@value"/>
				<xsl:choose>
				<xsl:when test="$rank != 0">
					<b><xsl:value-of select="$rank"/></b>
				</xsl:when>
				<xsl:otherwise>
					<br/>
				</xsl:otherwise>
				</xsl:choose>
			</font>
		</td>
		<td align="center" valign="bottom">
			<font face="Verdana" style="font-size: 7pt">
				<b>+</b>
			</font>
		</td>
		<td align="center" style="border-bottom-width:1px; border-bottom: 1pt solid black" valign="bottom">
			<font face="Verdana" style="font-size: 6pt">
				<b><xsl:value-of select="modifiers/modifier[@name = 'ability']/@value"/><br/></b>
			</font>
		</td>
		<td align="center" valign="bottom">
			<font face="Verdana" style="font-size: 7pt">
				<b>+</b>
			</font>
		</td>
		<td align="center" style="border-bottom-width:1px; border-bottom: 1pt solid black" valign="bottom">
			<font face="Verdana" style="font-size: 6pt">
				<xsl:variable name="rest" select="number(modifiers/modifier[@name = 'race']/@value)
					+ number(modifiers/modifier[@name = 'magic']/@value)
					+ number(modifiers/modifier[@name = 'feat']/@value)
					+ number(modifiers/modifier[@name = 'other']/@value)"/>
				<xsl:choose>
				<xsl:when test="$rest = 0">
					<br/>
				</xsl:when>
				<xsl:otherwise>
					<b><xsl:value-of select="$rest"/></b>
				</xsl:otherwise>
				</xsl:choose>
			</font>
		</td>
	</tr>
</xsl:template>


<xsl:template name="empty-skill">
	<xsl:param name="count"/>

	<xsl:if test="$count != 0">
		<tr>
			<td align="left">
				<font face="Verdana" style="font-size: 7pt">
					<br/>
				</font>
			</td>
			<td align="left">
				<font face="Verdana" style="font-size: 7pt">
					____________________
				</font>
			</td>
			<td align="left" valign="bottom">
				<font face="Verdana" style="font-size: 6pt">
					___
				</font>
			</td>
			<td align="center" style="border-bottom-width:1px; border-bottom: 1pt solid black" valign="bottom">
				<font face="Verdana" style="font-size: 6pt">
					<br/>
				</font>
			</td>
			<td align="center" valign="bottom">
				<font face="Verdana" style="font-size: 7pt">
					<b>=</b>
				</font>
			</td>
			<td align="center" style="border-bottom-width:1px; border-bottom: 1pt solid black" valign="bottom">
				<font face="Verdana" style="font-size: 6pt">
					<br/>
				</font>
			</td>
			<td align="center" valign="bottom">
				<font face="Verdana" style="font-size: 7pt">
					<b>+</b>
				</font>
			</td>
			<td align="center" style="border-bottom-width:1px; border-bottom: 1pt solid black" valign="bottom">
				<font face="Verdana" style="font-size: 6pt">
					<b><br/></b>
				</font>
			</td>
			<td align="center" valign="bottom">
				<font face="Verdana" style="font-size: 7pt">
					<b>+</b>
				</font>
			</td>
			<td align="center" style="border-bottom-width:1px; border-bottom: 1pt solid black" valign="bottom">
				<font face="Verdana" style="font-size: 6pt">
					<br/>
				</font>
			</td>
		</tr>

		<xsl:call-template name="empty-skill">
			<xsl:with-param name="count" select="$count - 1"/>
		</xsl:call-template>
	</xsl:if>
</xsl:template>


<xsl:template match="untrained">
	<font face="Wingdings" style="font-size: 8pt">n</font>
</xsl:template>
<xsl:template match="armor-check">
	<font face="Verdana" style="font-size: 8pt">*</font>
</xsl:template>
<xsl:template match="weight-check">
	<font face="Verdana" style="font-size: 8pt">**</font>
</xsl:template>



</xsl:stylesheet>

